Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class FreeLifecyclePolicyAction

    java.lang.Object
      oracle.ifs.beans.lifecycle.LifecyclePolicyActionAdapter
          oracle.ifs.beans.lifecycle.FreeLifecyclePolicyAction

All Implemented Interfaces:
  LifecyclePolicyAction

    public class FreeLifecyclePolicyAction

extends LifecyclePolicyActionAdapter

FreeLifecyclePolicyAction is a LifecyclePolicyAction that destroys (frees) qualifying documents for CMSDK instances.

Field Summary

Fields inherited from class oracle.ifs.beans.lifecycle.LifecyclePolicyActionAdapter
`EVENT_BASED_PROPERTY, TIME_BASED_PROPERTY`

Constructor Summary
`FreeLifecyclePolicyAction()` Constructs a FreeLifecyclePolicyAction.

Method Summary
`LifecyclePolicyActionOutcome` | `execute(LifecyclePolicyEntry lpe, Document doc)` Execute the action for the specified document.

Methods inherited from class oracle.ifs.beans.lifecycle.LifecyclePolicyActionAdapter
`getSearchCondition, initialize, notify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeLifecyclePolicyAction

    public FreeLifecyclePolicyAction()

  Constructs a FreeLifecyclePolicyAction.

Method Detail

### execute

    public LifecyclePolicyActionOutcome execute(LifecyclePolicyEntry lpe,
                                                Document doc)
                                         throws IfsException

  Description copied from class: `LifecyclePolicyActionAdapter`
  Execute the action for the specified document.

  The caller establishes a transaction context for the execution of this action. If the LifecyclePolicyActionOutcome indicates that the execution was successful, the transaction will be committed by the caller. Additionally, the LifecyclePolicyActionOutcome may indicate the nature of the updates performed on the document to indicate the new lifecycle state (if any) for the document. The standard behavior is to perform the following updates:

  - Updates the document to reflectt he lifecycle state of the current LifecyclePolicyEntry.
  - Updates the LifecycleDate to the current date and time.
  - Post an audit event to indicate the lifecycle state change.

  This implementation can decide not to execute the action based on custom logic, and indicates this by returning an appropriately constructed LifecyclePolicyActionOutcome. The caller will then abort the current transaction context. Similarly, if an exception is thrown, the caller will also abort the transaction, and log the exception information.

  Specified by:
    `execute` in interface `LifecyclePolicyAction`
  Overrides:
    `execute` in class `LifecyclePolicyActionAdapter`
  Parameters:
    `lpe` - the entry that references the LifecyclePolicyActionSpecification that indicates this implementation of LifecyclePolicyAction
    `doc` - the Document to process
  Returns:
    an indication of the execution outcome, including indications as to the updates that to be performed on the document
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD